%define __libtoolize true

Name:        librep
Version:     0.17
Release:     0vl2
Summary:     An embeddable LISP environment
Summary(ja): ȹ LISP Ķ
License:     GPL
Group:       Development/Languages
Source:      http://download.sourceforge.net/librep/librep-%{version}.tar.gz
URL:         http://librep.sourceforge.net/
Buildroot:   %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gmp-devel >= 4.1
BuildPrereq: gdbm-devel ncurses-devel readline-devel texinfo gcc-g77
PreReq:      /sbin/install-info
Requires:    gdbm >= 1.8

%description
This is a lightweight Lisp environment for UNIX. It contains a Lisp
interpreter, byte-code compiler and virtual machine. Applications may
use the Lisp interpreter as an extension language, or it may be used
for standalone scripts.

Originally inspired by Emacs Lisp, the language dialect combines many
of the elisp features while trying to remove some of the main
deficiencies, with features from Common Lisp and Scheme.

%description -l ja
librep  UNIX  Lisp ĶǤLisp 󥿥ץ꥿Хȥ
ѥ顤ۥޥ󤬼Ƥޤץꥱ󤫤 Lisp
󥿥ץ꥿ǽĥȤƻȤȤޤñ˥ɥ
ץȴĶȤƻȤȤޤ

 Emacs Lisp ˱ƶĤġelisp ˷礱Ƥ뵡ǽ䤦٤
Common Lisp  Scheme εǽƤޤ


%package devel
Summary:     librep include files and link libraries
Summary(ja): librep ѥ󥯥롼ɥեȥ饤֥
Group:       Development/Languages
Requires:    %{name} = %{version}


%description devel
Link libraries and C header files for librep development.

%description devel -l ja
librep ȯѥ饤֥ C إåե


%prep
%setup -q

%build
LC_ALL=""
LINGUAS=""
LANG=""
export LC_ALL LINGUAS LANG

%configure --with-readline --with-extra-cflags=-fstrength-reduce
make host_type=%{_target_platform}


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install \
    host_type=%{_target_platform} \
    DESTDIR=$RPM_BUILD_ROOT \
    aclocaldir=%{_datadir}/aclocal \
    infodir=%{_infodir}
gzip -9nf $RPM_BUILD_ROOT%{_infodir}/librep*


%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/librep.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/librep.info.gz %{_infodir}/dir
fi


%postun -p /sbin/ldconfig


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc NEWS README THANKS TODO BUGS
%{_bindir}/rep
%{_bindir}/rep-remote
%{_libdir}/librep.so.*
%{_datadir}/rep/%{version}
%{_libexecdir}/rep/%{version}/%{_target_platform}
%{_infodir}/librep*


%files devel
%defattr(-,root,root)
%{_bindir}/rep-config
%{_bindir}/rep-xgettext
%{_bindir}/repdoc
%{_libdir}/librep.so
%{_libdir}/librep.la
%{_includedir}/*
%{_libexecdir}/rep/%{_target_platform}/libtool
%{_libexecdir}/rep/%{_target_platform}/rules.mk
%{_libexecdir}/rep/%{_target_platform}/install-aliases
%{_libexecdir}/rep/%{_target_platform}/rep_config.h
%{_datadir}/aclocal/rep.m4


%changelog
* Sat Feb 14 2004 Tomohito MAKINO <tomohito@ueda.info.waseda.ac.jp> 0.17-0vl2
- add gcc-g77 in BuildPrereq (To make valid(?) libtool in configure time)

* Wed Apr 02 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.16.1-0vl4
- rebuilt with readline-4.3

* Mon Jan 20 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.16.1-0vl3
- rebuilt against gmp-4.1

* Sat Nov  9 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16.1-0vl2
- update to 0.16.1
- remove Patch10
- add %define __libtoolize (If it isn't, sawfish can't compile...)

* Mon Jul 16 2001 Daisuke SUZUKi <daisuke@linux.or.jp> 0.14-0vl1
- update to 0.14
- add Patch10 for mipsel

* Sun May 20 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.13.6-1vl1
- built for Vine Linux

* Tue Jun 13 2000 John Harper <john@dcs.warwick.ac.uk>
- use better macros

* Wed Nov 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- post{,un} use -p

* Mon Sep 13 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.5 spec file update: added buildroot
